Package it.ernytech.tdlib

## Class TdApi.GetTextEntities

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GetTextEntities

Enclosing class:
  TdApi

    public static class TdApi.GetTextEntities
    extends TdApi.Function

Returns all entities (mentions, hashtags, cashtags, bot commands, URLs, and email addresses) contained in the text. This is an offline method. Can be called before authorization. Can be called synchronously.

Returns `TextEntities`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `text` The text in which to look for entites.

### Constructor Summary

Constructors
`GetTextEntities()` Default constructor.
`GetTextEntities​(java.lang.String text)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### text

    public java.lang.String text

The text in which to look for entites.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GetTextEntities

    public GetTextEntities()

Default constructor.

#### GetTextEntities

    public GetTextEntities​(java.lang.String text)

Constructor for initialization of all fields.

Parameters:
  `text` - The text in which to look for entites.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR